# Uses of Enum
org.jboss.modules.ref.Reference.Type

Packages that use Reference.Type
Package
Description
org.jboss.modules.ref
Classes which implement reference types which can be cleaned up automatically by a background thread.

## Uses of Reference.Type in org.jboss.modules.ref

Methods in org.jboss.modules.ref that return Reference.Type
Modifier and Type
Method
Description
`Reference.Type`
PhantomReference.`getType()`
`Reference.Type`
Reference.`getType()`
Get the type of the reference.
`Reference.Type`
SoftReference.`getType()`
`Reference.Type`
StrongReference.`getType()`
`Reference.Type`
WeakReference.`getType()`
`static Reference.Type`
Reference.Type.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Reference.Type[]`
Reference.Type.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.jboss.modules.ref with parameters of type Reference.Type
Modifier and Type
Method
Description
`static <T, A> Reference<T,A>`
References.`create(Reference.Type type, T value, A attachment)`
Create a reference of a given type with the provided value and attachment.
`static <T, A> Reference<T,A>`
References.`create(Reference.Type type, T value, A attachment, ReferenceQueue<? super T> referenceQueue)`
Create a reference of a given type with the provided value and attachment.
`static <T, A> Reference<T,A>`
References.`create(Reference.Type type, T value, A attachment, Reaper<T,A> reaper)`
Create a reference of a given type with the provided value and attachment.